Subject: [PATCH v6 07/10] ARM: OMAP2+: gpmc: generic timing calculation

From: [email-masked] (Tony Lindgren)
Date: Fri, 24 Aug 2012 12:54:47 -0700

* Jon Hunter <[email-masked]> [120822 19:58]:
> 
> So although this may consolidate how the timings are calculated today, I
> am concerned it will be confusing to add timings for a new device. At
> least if I am calculating timings, I am taking the timing information
> for the device and translating that to the how I need to program the
> gpmc register fields.

Yes agreed. Also as some values make sense only in cycles, converting them
back and forth to time is wrong. So at least some values should have an
option to specify them in cycles directly, and then ignore any time based
values.

Regards,

Tony